Boletos

List boletos

get
/banking/cashin/boletos

List all available boletos

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
Query parameters
entity_idstring · uuidOptional

Unique identifier

virtual_account_idstring · uuidOptional

Unique identifier

bank_account_idstring · uuidOptional

Unique identifier

external_idstringOptional

External ID

counterparty_idstringOptional

Counterparty ID

statusstringOptional

Status

from_datetimestring · date-timeRequired

Datetime schema

to_datetimestring · date-timeRequired

Datetime schema

search_termstringOptional

Search term

beforestringOptional

Parameter used for pagination. It's a base64 encoded param used to access the previous page of results. Provided along with the data in the metadata section if there is a previous page.

Example: g3QAAAABZAACaWRtAAAAJGJhYTNiNmM1LTAyYTYtNGQ5Ny05NzU1LTI3OGFiNjRiN2Y1MQ==
afterstringOptional

Parameter used for pagination. It's a base64 encoded param used to access the previous page of results. Provided along with the data in the metadata section if there is a previous page.

Example: g3QAAAABZAACaWRtAAAAJGJhYTNiNmM1LTAyYTYtNGQ5Ny05NzU1LTI3OGFiNjRiN2Y1MQ==
limitinteger · min: 10Optional

Limit list

Responses
chevron-right
200

Boletos

application/json

Boleto list response

get
/banking/cashin/boletos

Create boleto

post
/banking/cashin/boletos

Creates a new boleto

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
Body

Body params to create a boleto

amountintegerRequired

Amount of the boleto

descriptionstring · max: 25 · nullableOptional
expiration_datestring · dateRequired
external_idstring · max: 40 · nullableOptional

External ID

invoice_typestring · enum · nullableRequired

Boleto invoice type

Possible values:
notesstring[] · max: 3 · nullableOptional
virtual_account_idstring · uuidRequired

Unique identifier

wallet_typestring · enumRequired

Boleto wallet type

Possible values:
Responses
post
/banking/cashin/boletos

Get boleto

get
/banking/cashin/boletos/{id}

Gets a specific boleto

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
Path parameters
idstring · uuidRequired

Unique identifier

Responses
chevron-right
200

Show

application/json

Boleto list response

get
/banking/cashin/boletos/{id}

Update boleto due date

put
/banking/cashin/boletos/{id}

Updates a boleto due date

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
Path parameters
idstring · uuidRequired

Unique identifier

Body

Body params to update a boleto

Responses
chevron-right
200

Show

application/json

Response for boleto

put
/banking/cashin/boletos/{id}

Cancel boleto

put
/banking/cashin/boletos/{id}/cancel

Cancel a boleto

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
Path parameters
idstring · uuidRequired

Unique identifier

Responses
chevron-right
200

Show

application/json

Response for boleto

put
/banking/cashin/boletos/{id}/cancel

Add protest

put
/banking/cashin/boletos/{id}/protest/add

Add protest to a boleto

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
Path parameters
idstring · uuidRequired

Unique identifier

Responses
chevron-right
200

Show

application/json

Response for boleto

put
/banking/cashin/boletos/{id}/protest/add

Remove protest

put
/banking/cashin/boletos/{id}/protest/remove

Remove protest from a boleto

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
Path parameters
idstring · uuidRequired

Unique identifier

Responses
chevron-right
200

Show

application/json

Response for boleto

put
/banking/cashin/boletos/{id}/protest/remove

Last updated

Was this helpful?